Archive Mobility Groups

Archive Mobility Groups
Archive Mobility Groups

This operation will archive specified mobility groups. All migrations in the group must be in terminal state.

Request
URI
POST
https://{server}/hybridity/api/mobility/groups/archive
COPY
Request Body

Archive Mobility Groups API Request Body

mobilityGroupsOperationsRequest of type(s) application/json
Required
{
    "items": [
        {
            "migrationGroupId": "string"
        }
    ]
}
array of object
items
Optional

items

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully archived Mobility Group(s)

Returns mobilityGroupsArchiveResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationGroupId": "string",
            "name": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


400

Bad Request

Returns mobilityGroupsArchiveResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationGroupId": "string",
            "name": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden. Cannot archive group if any migration is not in terminal state.

Returns mobilityGroupsArchiveResponse of type(s) application/json
"mobilityGroupsArchiveResponse Object"
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


404

Mobility group not found

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/groups/archive